aboutsummaryrefslogtreecommitdiffstats
path: root/community/vigra
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-05-18 08:15:41 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-05-18 12:52:04 +0000
commit79bd514745a4bc0af77a952ce55f14133ed0afa7 (patch)
treec68f4c8217e44973b9f58fa006cf7820d9da4af0 /community/vigra
parent5af54299c7e8a5ebc5c359a5ae74de08fea516e2 (diff)
downloadaports-79bd514745a4bc0af77a952ce55f14133ed0afa7.tar.gz
aports-79bd514745a4bc0af77a952ce55f14133ed0afa7.tar.bz2
aports-79bd514745a4bc0af77a952ce55f14133ed0afa7.tar.xz
community/vigra: moved from main
Diffstat (limited to 'community/vigra')
-rw-r--r--community/vigra/APKBUILD48
1 files changed, 48 insertions, 0 deletions
diff --git a/community/vigra/APKBUILD b/community/vigra/APKBUILD
new file mode 100644
index 0000000000..1244625192
--- /dev/null
+++ b/community/vigra/APKBUILD
@@ -0,0 +1,48 @@
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer:
+pkgname=vigra
+pkgver=1.11.0
+pkgrel=1
+pkgdesc="An image processing and analysis library"
+url="http://ukoethe.github.io/vigra/"
+arch="all"
+license="MIT"
+depends=""
+depends_dev="tiff-dev libjpeg-turbo-dev libpng-dev boost-dev"
+makedepends="$depends_dev cmake doxygen"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://github.com/ukoethe/vigra/releases/download/Version-${pkgver//./-}/vigra-$pkgver-src.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ cmake . \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DDOCINSTALL=share/doc \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make install DESTDIR="$pkgdir" || return 1
+
+ # relocate cmake include files
+ mkdir -p "$kgdir"/usr/lib/cmake
+ mv "$pkgdir"/usr/lib/vigra "$pkgdir"/usr/lib/cmake
+}
+md5sums="7f80d289e03a2f2e8c8e85f3ff29d988 vigra-1.11.0-src.tar.gz"
+sha256sums="68617de347eae7d4700a8f66cd59ce31d6cd92ffb4a235b4df34c688673af5cb vigra-1.11.0-src.tar.gz"
+sha512sums="3cd8fcfc8ba9a1209a37e49c7b5cb0080bc665987805deec0b92cabf8c571c2f09ba47e2850c12204d04b3c830322fc8e47efa19fc537cf78708c22e1d302d6a vigra-1.11.0-src.tar.gz"